intel 8260 doesn't work with linux kernel 4.8+ when using ucode version 22

Bug #1647826 reported by David Jordan on 2016-12-06
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux-firmware (Ubuntu)
Medium
Seth Forshee
Xenial
High
Seth Forshee
Yakkety
High
Seth Forshee
Zesty
Medium
Seth Forshee
Artful
Medium
Seth Forshee

Bug Description

SRU Justification

Impact: The -22 firmware for iwlwifi introduces regressions with some hardware versus earlier firmware versions. As no newer firmware is available, the only fix is to revert back to the older firmware which does work.

Test Case: Using the -22 firmware with affected hardware produces the behavior described below. The -21 firmware does not.

Regression Potential: Switching back to -21 could cause some regressions with other hardware supported by this firmware. However as -22 causes some hardware to completely fail to work any regressions are almost certain to be less severe than the current problems.

---

The -22 microcode for the intel 8260 wifi adapter has compatibility issues with Linux Kernel 4.8 under certain hardware configurations.

The iwlwifi module crashes resulting in wifi failing with "device not ready" and kernel errors reported in dmesg.

[ 10.691115] iwlwifi 0000:6e:00.0: Microcode SW error detected. Restarting 0x2000000.

Renaming the ucode file at /lib/firmware/iwlwifi-8000C-22.ucode to fallback to the -21 ucode resolves the issue and wifi begins working normally again.

This is an issue with Linux kernel 4.8 on both yakkety and xenial, so the bug doesn't currently affect users on xenial, but will begin to after the 16.04.2 HWE release. Kernel 4.4 is unaffected because it doesn't attempt to use the -22 ucode

The failure doesn't necessarily affect all machines of a given model with the 8260, but I can reproduce it on multiple laptops when 64GB of RAM are installed (4x16GB). The RAM itself does not appear to be an issue.

David Jordan (dmj726) wrote :
Seth Forshee (sforshee) on 2016-12-06
Changed in linux-firmware (Ubuntu Xenial):
assignee: nobody → Seth Forshee (sforshee)
importance: Undecided → High
status: New → In Progress
Changed in linux-firmware (Ubuntu Yakkety):
assignee: nobody → Seth Forshee (sforshee)
importance: Undecided → High
status: New → In Progress
Seth Forshee (sforshee) on 2016-12-06
Changed in linux-firmware (Ubuntu Zesty):
assignee: nobody → Seth Forshee (sforshee)
importance: Undecided → Medium
status: New → In Progress
Seth Forshee (sforshee) wrote :

Please test that this package for yakkety fixes the issue. Thanks!

http://people.canonical.com/~sforshee/lp1647826/linux-firmware_1.161+lp1647826v201612061442_all.deb

David Jordan (dmj726) wrote :

The test package works here!

Seth Forshee (sforshee) on 2016-12-06
Changed in linux-firmware (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in linux-firmware (Ubuntu Yakkety):
status: In Progress → Fix Committed
Changed in linux-firmware (Ubuntu Zesty):
status: In Progress → Fix Committed

Hello David, or anyone else affected,

Accepted linux-firmware into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.161.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Just tested 1.161.1 in yakkety-proposed and can confirm it fixes the issue.

tags: added: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.161.1

---------------
linux-firmware (1.161.1) yakkety; urgency=medium

  * Trigger update-initramfs following linux-firmware install (LP: #1646197)
    - UBUNTU: Add postinst script to update initrds

  * Intel 8260 doesn't work with linux kernel 4.8 when using ucode version 22
    (LP: #1647826)
    - UBUNTU: SAUCE: Remove iwlwifi-8000C-22.ucode

 -- Seth Forshee <email address hidden> Tue, 06 Dec 2016 14:42:47 -0600

Changed in linux-firmware (Ubuntu Yakkety):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for linux-firmware has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Seth Forshee (sforshee) on 2017-01-12
description: updated

Hello David, or anyone else affected,

Accepted linux-firmware into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.157.8 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

The current verification-done tag looks like it is intended for Yakkety only, and the Xenial proposed package still needs verification.

tags: added: verification-done-yakkety verification-needed
removed: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.157.8

---------------
linux-firmware (1.157.8) xenial; urgency=medium

  * usbduxsigma_firmware.bin: old version causes driver crash (LP: #1605974)
    - usbdux: usbduxsigma: created matching binary of the firmware

linux-firmware (1.157.7) xenial; urgency=medium

  * Intel 8260 doesn't work with linux kernel 4.8 when using ucode version 22
    (LP: #1647826)
    - UBUNTU: SAUCE: Remove iwlwifi-8000C-22.ucode

 -- Seth Forshee <email address hidden> Fri, 06 Jan 2017 16:28:55 -0600

Changed in linux-firmware (Ubuntu Xenial):
status: Fix Committed → Fix Released
Seth Forshee (sforshee) on 2017-03-21
Changed in linux-firmware (Ubuntu Zesty):
status: Fix Committed → Fix Released
Seth Forshee (sforshee) on 2017-04-19
Changed in linux-firmware (Ubuntu Zesty):
status: Fix Released → Confirmed
Seth Forshee (sforshee) on 2017-04-19
summary: - intel 8260 doesn't work with linux kernel 4.8 when using ucode version
+ intel 8260 doesn't work with linux kernel 4.8+ when using ucode version
22
Seth Forshee (sforshee) on 2017-04-21
Changed in linux-firmware (Ubuntu Zesty):
status: Confirmed → In Progress
Changed in linux-firmware (Ubuntu Xenial):
status: Fix Released → In Progress
tags: removed: verification-needed
Seth Forshee (sforshee) on 2017-04-21
Changed in linux-firmware (Ubuntu Zesty):
status: In Progress → Fix Committed
Changed in linux-firmware (Ubuntu Xenial):
status: In Progress → Fix Committed

Hello David, or anyone else affected,

Accepted linux-firmware into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.164.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

David Jordan (dmj726) wrote :

Verified the 1.164.1 package in proposed. It fixes this bug.

tags: added: verification-donewifi
removed: wifi
tags: added: verification-done wifi
removed: verification-donewifi
Brian Murray (brian-murray) wrote :

Hello David, or anyone else affected,

Accepted linux-firmware into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.157.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.165

---------------
linux-firmware (1.165) artful; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    ade8332383e228cbdcfc605b5e5ef3aa51211401
    - linux-firmware: liquidio: update firmware to v1.4.2
    - iwlwifi: update -17 firmware for 3260, 7260 and 7265
    - iwlwifi: update -22 firmware for 7265D and up
    - iwlwifi: add -27 firmware for 3168, 7265D, 8000C and 8265
    - linux-firmware/i915: Add HuC 1.07.1398 for SKL
    - linux-firmware/i915: Add HuC 1.07.1398 for broxton
    - linux-firmware/i915: HuC on 2.0.1810 for Kabylake
    - linux-firmware/i915: GuC firmware for Broxton v8.7
    - linux-firmware/i915: GuC firmware for Kabylake v9.14
    - radeon/amdgpu: update license copyright dates
    - radeon: add new firmware for SI chips
    - rtlwifi: rtl8723bs: Add firmware for new driver
    - qla2xxx: Update firmware version to 8.06.00
    - amdgpu: add firmware for polaris12 asics
    - amdgpu: update VI gfx/sdma firmware
    - amdgpu: update VI smc/mc firmware
    - update WHENCE for new amdgpu/polaris12_*.bin firmware
    - linux-firmware: add firmware for mt76x2
    - linux-firmware: update Marvell SD8897-B0 firmware image
    - linux-firmware: update Marvell PCIe-USB8997 firmware image
    - amdgpu: add smc firmware for new polaris variants
    - Revert "amdgpu: update VI smc/mc firmware"
    - Revert "amdgpu: update VI gfx/sdma firmware"
    - linux-firmware/i915: Fix Corrupted GuC files.
    - cxgb4: update firmware to revision 1.16.33.0
    - nvidia: add GM20B PMU firmware
    - nvidia: add GP102/GP104/GP106/GP107 signed firmware
    - linux-firmware: intel: Add Geminilake audio firmware
    - linux-firmware: Update firmware patch for Intel Bluetooth, 7265
    - linux-firmware: Update firmware patch for Intel Bluetooth,8260
    - linux-firmware: Update firmware file for Intel Bluetooth,8265
    - brcm: update firmware for BCM43340/1 SDIO devices
    - ath10k: QCA6174 hw3.0: update board-2.bin
    - qed: Add firmware 8.15.3.0
    - linux-firmware: update Marvell PCIe-USB8997 wifi-only firmware image
    - linux-firmware: intel: Update Broxton audio firmware
    - nfp: Add firmware 0.6.1
    - mediatek: update MT8173 VPU firmware for unsupported VP9 profiles
    - nvidia: add GP10B signed firmware
    - nvidia: fix GP107 signed firmware
    - linux-firmware: liquidio: update firmware to v1.5.1
    - linux-firmware: update Marvell SD8887 firmware image
    - linux-firmware: update Marvell SD8897-B0 firmware image
    - rtl_bt: Update firmware for BT part of rtl8822be

  * intel 8260 doesn't work with linux kernel 4.8+ when using ucode version 22
    (LP: #1647826)
    - UBUNTU: SAUCE: Remove iwlwifi-8000C-22.ucode

 -- Seth Forshee <email address hidden> Fri, 05 May 2017 08:43:13 -0500

Changed in linux-firmware (Ubuntu Artful):
status: Confirmed → Fix Released
Francois Thirioux (fthx) wrote :

I understand that reverting to 21 can solve severe bugs, but since 21 reverting (experienced in Zesty with 164.1 and now in Artful with 165 versions of linux-firmware package) it seems that my connection is sometimes poor (web pages loading hangs, e.g.). With 22 I do not see such hangs or slowdowns.

Maybe it caused too a severe kernel hang (CPU lockup) that I got two times in two days in Zesty without any other critical packages upgrading except linux-firmware. But clearly that's hypothetical, although I never got any severe crash like this before during Zesty's alpha-beta-release lifetime.

For people like me that do not like 21, move :
https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/plain/iwlwifi-8000C-22.ucode
to :
/lib/firmware
and reboot.

My hardware : Dell precision 7510 16 Gb ram, intel wifi 8260

Robie Basak (racb) wrote :

The current verification-done tag looks like it is intended for Zesty only, and the Xenial proposed package still needs verification.

tags: added: verification-done-zesty
removed: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.164.1

---------------
linux-firmware (1.164.1) zesty; urgency=medium

  * intel 8260 doesn't work with linux kernel 4.8+ when using ucode version 22
    (LP: #1647826)
    - UBUNTU: SAUCE: Remove iwlwifi-8000C-22.ucode

 -- Seth Forshee <email address hidden> Fri, 21 Apr 2017 11:36:23 -0500

Changed in linux-firmware (Ubuntu Zesty):
status: Fix Committed → Fix Released
Seth Forshee (sforshee) wrote :

Confirmed that the firmware is not present in linux-firmware 1.157.10.

tags: added: verification-done-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.157.10

---------------
linux-firmware (1.157.10) xenial; urgency=medium

  * intel 8260 doesn't work with linux kernel 4.8+ when using ucode version 22
    (LP: #1647826)
    - UBUNTU: SAUCE: Remove iwlwifi-8000C-22.ucode

linux-firmware (1.157.9) xenial; urgency=medium

  * Update linux-firmware in xenial for 4.10 hwe-edge kernel (LP: #1675443)
    - usb: host: xhci-plat: add firmware for the R-Car M3-W xHCI controllers
    - usb: host: xhci-rcar: update firmware for R-Car H3 and M3-W
    - qed: Add firmware 8.10.10.0
    - brcm: add firmware for BCM43430 802.11n chipset
    - amdgpu: add new smc firmware for newer tonga and iceland chips
    - cxgb4: Update firmware to revision 1.16.26.0.
    - brcm: add firmware for the BCM4356 SDIO device
    - brcm: add firmware for the BCM4358 PCIe device.
    - iwlwifi: update -17 firmware for 3260, 7260 and 7265
    - Revert "UBUNTU: SAUCE: Remove iwlwifi-8000C-22.ucode"
    - iwlwifi: update -22 firmware for 7265D and up
    - radeon: add new firmware for SI chips
    - amdgpu: add firmware for polaris12 asics
    - cxgb4: update firmware to revision 1.16.33.0
    - UBUNTU: Update nic-firmware.lst for zesty hwe kernel

 -- Seth Forshee <email address hidden> Fri, 21 Apr 2017 11:42:20 -0500

Changed in linux-firmware (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers